c   $Id: x24f.fm4 11680 2011-03-27 17:57:51Z airwin $
c   Unicode Pace Flag
c
c   Copyright (C) 2005 Rafael Laboissiere
c
c
c   This file is part of PLplot.
c
c   PLplot is free software; you can redistribute it and/or modify
c   it under the terms of the GNU Library General Public License as published
c   by the Free Software Foundation; either version 2 of the License, or
c   (at your option) any later version.
c
c   PLplot is distributed in the hope that it will be useful,
c   but WITHOUT ANY WARRANTY; without even the implied warranty of
c   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c   GNU Library General Public License for more details.
c
c   You should have received a copy of the GNU Library General Public License
c   along with PLplot; if not, write to the Free Software
c   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
c
c
c   In Debian, run like this:
c
c   ( TTFDIR=/usr/share/fonts/truetype ; \
c     PLPLOT_FREETYPE_SANS_FONT=$TTFDIR/arphic/bkai00mp.ttf \
c     PLPLOT_FREETYPE_SERIF_FONT=$TTFDIR/freefont/FreeSerif.ttf \
c     PLPLOT_FREETYPE_MONO_FONT=$TTFDIR/ttf-devanagari-fonts/lohit_hi.ttf \
c     PLPLOT_FREETYPE_SCRIPT_FONT=$TTFDIR/unfonts/UnBatang.ttf \
c     PLPLOT_FREETYPE_SYMBOL_FONT=$TTFDIR/ttf-bengali-fonts/JamrulNormal.ttf \
c     ./x24f -dev png -o x24f.png )
c
c   Packages needed:
c
c   ttf-arphic-bkai00mp
c   ttf-freefont
c   ttf-devanagari-fonts
c   ttf-unfonts
c   ttf-bengali-fonts
c
c   For the latest Ubuntu systems lohit_hi.ttf has been moved to the
c   ttf-indic-fonts-core package instead of ttf-devanagari-fonts so you
c   will have to install this package instead and update the font path.

      program x24f
      implicit none

      include 'plplot_parameters.h'

      integer i, j
      integer red(7)
      integer green(7)
      integer blue(7)

      real*8  px(4)
      real*8  py(4)
      real*8  sx(12)
      real*8  sy(12)

      character*30 peace(12)

      data (red(i) ,i=1,7)   / 240, 204, 204, 204,   0,  39, 125 /
      data (green(i) ,i=1,7) / 240,   0, 125, 204, 204,  80,   0 /
      data (blue(i) ,i=1,7)  / 240,   0,   0,   0,   0, 204, 125 /

      data (px(i) ,i=1,4) / 0.0d0, 0.0d0, 1.0d0, 1.0d0 /
      data (py(i) ,i=1,4) / 0.0d0, 0.25d0, 0.25d0, 0.0d0 /

      data (sx(i) ,i=1,12) /
     &  0.16374,
     &  0.15844,
     &  0.15255,
     &  0.17332,
     &  0.50436,
     &  0.51721,
     &  0.49520,
     &  0.48713,
     &  0.83976,
     &  0.81688,
     &  0.82231,
     &  0.82647/


      data (sy(i) ,i=1,12) /
     &  0.125,
     &  0.375,
     &  0.625,
     &  0.875,
     &  0.125,
     &  0.375,
     &  0.625,
     &  0.875,
     &  0.125,
     &  0.375,
     &  0.625,
     &  0.875/


c  Taken from http://www.columbia.edu/~fdc/pace/

c  Mandarin
      peace(1) = '#<0x00>和平'

c  Hindi
      peace(2) = '#<0x20>शांति'

c  English
      peace(3) = '#<0x10>Peace'

c  Hebrew
      peace(4) = '#<0x10>שלום'

c  Russian
      peace(5) = '#<0x10>Мир'

c  German
      peace(6) = '#<0x10>Friede'

c  Korean
      peace(7) = '#<0x30>평화'

c  French
      peace(8) = '#<0x10>Paix'

c  Spanish
      peace(9) = '#<0x10>Paz'

c  Arabic
      peace(10) = '#<0x10>ﺳﻼم'

c  Turkish
      peace(11) = '#<0x10>Barış'

c  Kurdish
      peace(12) = '#<0x10>Hasîtî'

      call plparseopts(PL_PARSE_FULL)

      call plinit()

      call pladv(0)
      call plvpor (0.0d0, 1.0d0, 0.0d0, 1.0d0)
      call plwind (0.0d0, 1.0d0, 0.0d0, 1.0d0)
      call plcol0 (0)
      call plbox ('', 1.0d0, 0, '', 1.0d0, 0)

      call plscmap0n (7)
      call plscmap0 (red, green, blue, 7)

      call plschr (0, 4.0d0)
      call plfont (1)

      do 120 i = 1,4

          call plcol0 (i)
          call plfill (4, px, py)

          do 110 j = 1,4
              py (j) = py (j) + 1.0d0 / 4.0d0
  110     continue
  120 continue

      call plcol0 (0)
      do 130 i = 1,12
          call plptex (sx (i), sy (i), 1.0d0, 0.0d0, 0.5d0, peace (i))
  130 continue

      call plend()

      stop
      end
